// never forget to include std.mi
#include "../../../lib/std.mi"

//declares global variables for use in script
Global Group DrawerGrp;
Global Button eqbt;
Global Layer DrawerInfo;
Global Int DrawerStatus;  //0 = closed, 1 = open
Global Int StartX, StartY, EndX, EndY;
Global Layout parent;

System.onScriptLoaded() {

	
	DrawerGrp = getScriptGroup();;

	
	parent = Drawergrp.getParentLayout();
	DrawerInfo = DrawerGrp.findObject("DrawerInfo");

	StartX = StringToInteger(DrawerGrp.getXMLparam("x"));
	StartY = StringToInteger(DrawerGrp.getXMLparam("y"));
	EndX = StringToInteger(DrawerInfo.getXMLparam("x"));
	EndY = StringToInteger(DrawerInfo.getXMLparam("y"));
	
	DrawerStatus = 0;

}

parent.onStartup()
{
	eqbt = parent.findObject("Equalizer");
}

eqbt.onLeftButtonUp(int x, int y) {
  if (DrawerStatus == 0) { 
    if (!DrawerGrp.isGoingToTarget()) {  
      DrawerGrp.setTargetX(EndX);
      DrawerGrp.setTargetY(EndY);
      DrawerGrp.setTargetSpeed(1);
      DrawerGrp.gotoTarget();
      DrawerStatus = 1;
    }
  }
  else {  // if our Drawer is open, make it slide closed
    if (!DrawerGrp.isGoingToTarget()) {
      DrawerGrp.setTargetX(StartX);
      DrawerGrp.setTargetY(StartY);
      DrawerGrp.setTargetSpeed(1);
      DrawerGrp.gotoTarget();
      DrawerStatus = 0;
    }
  }
}